/*
Stochastic Theory Education through Visualization Environment (STEVE) 2.0
Robert Florence, Tennessee Tech University
Color.h - This class contains a color in RGB format.
Last Modified: Jun 25, 2008
*/

#ifndef COLOR_H
#define COLOR_H

class Color
{
    public:
        /*
        create a white color
        */
        Color();
        /*
        create a custom color
        r, g, b: red, green, and blue values
        */
        Color(float r, float g, float b);
        /*
        get color information
        return: color's red, green, or blue value
        */
        float getRed();
        float getGreen();
        float getBlue();
        /*
        change the RGB value of the color
        r, g, b: new red, green, and blue values
        */
        void setRGB(float r, float g, float b);
        
    private:
        //red value
        float red;
        //green value
        float green;
        //blue value
        float blue;
        /*
        restrict a color value to (0.0-1.0)
        c: color value to clamp
        return: 0.0 if c is below 0.0, 1.0 if c is above 1.0, otherwise c
        */
        float clamp(float c);
};

#endif
