/*
Stochastic Theory Education through Visualization Environment (STEVE) 2.0
Robert Florence, Tennessee Tech University
Parameter.cpp - This class contains information for a parameter in the input form.
Last Modified: July 17, 2008
*/

#include "Parameter.h"

/*
create a parameter
pname: name of the parameter
pmin: minimum value of the parameter
pmax: maximum value of the parameter
pdef: default value of the parameter
*/
Parameter::Parameter(char* pname, double pmin, double pmax, double pdef)
{
    strncpy(name, pname, 50);
    min = pmin;
    
    if (pmax >= pmin)
        max = pmax;
    else
        max = pmin;
        
    if (pmin <= pdef && pdef <= pmax)
        def = pdef;
    else
        def = pmin;
}

/*
get parameter information
return: parameter's name, minimum, maximum, or default value
*/
char* Parameter::getName()
{
    return name;
}

double Parameter::getMin()
{
    return min;
}

double Parameter::getMax()
{
    return max;
}

double Parameter::getDefault()
{
    return def;
}
