/*
Stochastic Theory Education through Visualization Environment (STEVE) 2.0
Robert Florence, Tennessee Tech University
Parameter.h - This class contains information for a parameter in the input form.
Last Modified: July 17, 2008
*/

#ifndef PARAMETER_H
#define PARAMETER_H

#include <cstring>

class Parameter
{
    public:
        /*
        create a parameter
        pname: name of the parameter
        pmin: minimum value of the parameter
        pmax: maximum value of the parameter
        pdef: default value of the parameter
        */
        Parameter(char* pname, double pmin, double pmax, double pdef);
        /*
        get parameter information
        return: parameter's name, minimum, maximum, or default value
        */
        char* getName();
        double getMin();
        double getMax();
        double getDefault();
        
    private:
        //name of parameter
        char name[50];
        //minimum value
        double min;
        //maximum value
        double max;
        //default value
        double def;
};

#endif
